Project

General

Profile

Anomalie #9525

Installation de moodle-update

Added by Vincent Febvre over 5 years ago. Updated about 5 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
-
Category:
-
Target version:
Start date:
11/06/2014
Due date:
% Done:

100%

Distribution:
EOLE 2.3

Description

Sur un scribe 2.3 à jour, pas de version de moodle installé au préalable.

apt-eole install eole-moodle-update pour installer la version 2.5.

le paquet tire bien les dépendances mais au reconfigure, on obtient les erreurs suivantes :

Mise à jour de Moodle
Config table does not contain version, can not continue, sorry.
Moodle n'est pas installé
Installation de Moodle
Programme d'installation de Moodle 2.5.2+ (Build: 20131101) en ligne de commande
PHP Warning:  fopen(/var/www/html/moodle/config.php): failed to open stream: Permission denied in /var/www/html/moodle/admin/cli/install.php on line 641

Warning: fopen(/var/www/html/moodle/config.php): failed to open stream: Permission denied in /var/www/html/moodle/admin/cli/install.php on line 641
Can not create config file.
ERROR 1146 (42S02) at line 2: Table 'moodle.mdl_config_plugins' doesn't exist
Mise à jour de la configuration
ERROR 1146 (42S02) at line 2: Table 'moodle.mdl_user' doesn't exist
Refresh du cache

...

grep: /var/www/html/moodle/config.php: Aucun fichier ou dossier de ce type
ERROR 1045 (28000): Access denied for user 'moodle'@'127.0.0.1' (using password: NO)
Enter password: 

Le reconfigure n'abouti pas.

History

#1 Updated by Arnaud FORNEROT over 5 years ago

  • Status changed from Nouveau to Résolu
  • Target version set to Envole 3.3.10
  • Distribution changed from EOLE 2.4 to EOLE 2.3

#2 Updated by Arnaud FORNEROT over 5 years ago

  • % Done changed from 0 to 100

#3 Updated by Arnaud FORNEROT about 5 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF